import { Router } from "@angular/router";
import { WidgetDto } from "@smallstack/axios-api-client";
import { ConfigurationStore, ContextService } from "@smallstack/common-components";
import { ContinuationService, MsalLoginService } from "@smallstack/user-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export interface LoginAndRegisterConfig {
    showLinks: boolean;
    loginContentAbove: WidgetDto[];
    loginContentBelow: WidgetDto[];
    registerContentAbove: WidgetDto[];
    registerContentBelow: WidgetDto[];
}
export declare class LoginWidgetComponent extends BaseWidgetComponent {
    protected msalLoginService: MsalLoginService;
    private continuations;
    private configurationStore;
    private router;
    private contextService;
    showLinks: boolean;
    loginContentAbove: WidgetDto[];
    loginContentBelow: WidgetDto[];
    registerContentAbove: WidgetDto[];
    registerContentBelow: WidgetDto[];
    registrationAllowed: boolean;
    currentView: "login" | "registration";
    protected azureAdClientId: string;
    protected azureAdLoaded: boolean;
    protected azureIsLoggingIn$: import("rxjs").Observable<boolean>;
    constructor(msalLoginService: MsalLoginService, continuations: ContinuationService, configurationStore: ConfigurationStore, router: Router, contextService: ContextService);
    afterLogin(): void;
    afterRegistration(): void;
    loginViaMicrosoft(): () => Promise<void>;
    private getMsalLoginOptions;
    private loadConfiguration;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
